This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445983 - Remove building of dvipdfm (now a separate package)
Remove building of dvipdfm (now a separate package)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 20:47 EDT by Jonathan Underwood
Modified: 2013-07-02 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to spec file to remove dvipdfm subpackage (2.37 KB, patch)
2008-05-10 20:50 EDT, Jonathan Underwood
no flags Details | Diff
Changes to spec file to remove dvipdfm subpackage (2.79 KB, patch)
2008-05-10 20:56 EDT, Jonathan Underwood
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2008-05-10 20:47:02 EDT
Description of problem:
The building of dvipdfm needs to be removed since dvipdfm is now packaged
separately. 

This should probably be done for F-9 and onwards - coordination with pushing
updates will be needed.

dvipdfm package review:
https://bugzilla.redhat.com/show_bug.cgi?id=437667

Will add a patch below.
Comment 1 Jonathan Underwood 2008-05-10 20:50:15 EDT
Created attachment 305043 [details]
Changes to spec file to remove dvipdfm subpackage

Changes to spec file to remove dvipdfm subpackage
Comment 2 Jonathan Underwood 2008-05-10 20:51:50 EDT
You'll also need to remove the last hunk from texlive-2007-badscript.patch
Comment 3 Jonathan Underwood 2008-05-10 20:56:32 EDT
Created attachment 305045 [details]
Changes to spec file to remove dvipdfm subpackage

Changes to spec file to remove dvipdfm subpackage
Comment 4 Jonathan Underwood 2008-05-10 20:58:21 EDT
Jindrich - when you build texlive with the dvipdfm bits removed, you'll need to
push a single update which includes your new texlive package and the dvipdfm
package. For reference, the dvipdfm builds are:

Imported and built for F-9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=603597

Imported and built for devel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=603591

(I can't do this as I am not a texlive maintainer.)
Comment 5 Jindrich Novy 2008-05-12 10:57:42 EDT
The dvipdfm is now gone for fedora-devel, seems like everything is working fine
with the new dvipdfm. I would wait with the F9 dvipdfm drop after its release,
because I can test the update on a finalized F9 machine myself to not to break
things just from the very beginning of F9 :)
Comment 6 Jonathan Underwood 2008-05-12 11:42:10 EDT
Hi Jindrich - yes that seems sensible, I'll leave it in your capable hands.
Comment 7 Bug Zapper 2008-05-14 06:58:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 20:43:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:35:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.